import { Obj } from './ObjBean';

export class ExercisesBean extends Obj {
    
    /**L-左边答案， R-右边答案 */
    right: String;

    leftAnswer :　AnswerBean;

    rightAnswer : AnswerBean;
}

export class AnswerBean extends Obj {
    
}

export function getDefaultExercises(){
    const exercises = new ExercisesBean();

    exercises.right = "L";

    exercises.leftAnswer = getDefaultAnswer();

    exercises.rightAnswer = getDefaultAnswer();

    return exercises;
}

export function getDefaultAnswer(){
    const answer = new AnswerBean();

    return answer;
}